// Copyright 2020-2023 Buf Technologies, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-connect-go. DO NOT EDIT.
//
// buf/alpha/registry/v1alpha1/plugin.proto is a deprecated file.

package registryv1alpha1connect

import (
	context "context"
	errors "errors"
	v1alpha1 "github.com/bufbuild/buf/private/gen/proto/go/buf/alpha/registry/v1alpha1"
	connect_go "github.com/bufbuild/connect-go"
	http "net/http"
	strings "strings"
)

// This is a compile-time assertion to ensure that this generated file and the connect package are
// compatible. If you get a compiler error that this constant is not defined, this code was
// generated with a version of connect newer than the one compiled into your binary. You can fix the
// problem by either regenerating this code with an older version of connect or updating the connect
// version compiled into your binary.
const _ = connect_go.IsAtLeastVersion1_7_0

const (
	// PluginServiceName is the fully-qualified name of the PluginService service.
	PluginServiceName = "buf.alpha.registry.v1alpha1.PluginService"
)

// These constants are the fully-qualified names of the RPCs defined in this package. They're
// exposed at runtime as Spec.Procedure and as the final two segments of the HTTP route.
//
// Note that these are different from the fully-qualified method names used by
// google.golang.org/protobuf/reflect/protoreflect. To convert from these constants to
// reflection-formatted method names, remove the leading slash and convert the remaining slash to a
// period.
const (
	// PluginServiceListPluginsProcedure is the fully-qualified name of the PluginService's ListPlugins
	// RPC.
	PluginServiceListPluginsProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListPlugins"
	// PluginServiceListUserPluginsProcedure is the fully-qualified name of the PluginService's
	// ListUserPlugins RPC.
	PluginServiceListUserPluginsProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListUserPlugins"
	// PluginServiceListOrganizationPluginsProcedure is the fully-qualified name of the PluginService's
	// ListOrganizationPlugins RPC.
	PluginServiceListOrganizationPluginsProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListOrganizationPlugins"
	// PluginServiceGetPluginVersionProcedure is the fully-qualified name of the PluginService's
	// GetPluginVersion RPC.
	PluginServiceGetPluginVersionProcedure = "/buf.alpha.registry.v1alpha1.PluginService/GetPluginVersion"
	// PluginServiceListPluginVersionsProcedure is the fully-qualified name of the PluginService's
	// ListPluginVersions RPC.
	PluginServiceListPluginVersionsProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListPluginVersions"
	// PluginServiceGetPluginProcedure is the fully-qualified name of the PluginService's GetPlugin RPC.
	PluginServiceGetPluginProcedure = "/buf.alpha.registry.v1alpha1.PluginService/GetPlugin"
	// PluginServiceDeletePluginProcedure is the fully-qualified name of the PluginService's
	// DeletePlugin RPC.
	PluginServiceDeletePluginProcedure = "/buf.alpha.registry.v1alpha1.PluginService/DeletePlugin"
	// PluginServiceGetTemplateProcedure is the fully-qualified name of the PluginService's GetTemplate
	// RPC.
	PluginServiceGetTemplateProcedure = "/buf.alpha.registry.v1alpha1.PluginService/GetTemplate"
	// PluginServiceListTemplatesProcedure is the fully-qualified name of the PluginService's
	// ListTemplates RPC.
	PluginServiceListTemplatesProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListTemplates"
	// PluginServiceListTemplatesUserCanAccessProcedure is the fully-qualified name of the
	// PluginService's ListTemplatesUserCanAccess RPC.
	PluginServiceListTemplatesUserCanAccessProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListTemplatesUserCanAccess"
	// PluginServiceListUserTemplatesProcedure is the fully-qualified name of the PluginService's
	// ListUserTemplates RPC.
	PluginServiceListUserTemplatesProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListUserTemplates"
	// PluginServiceListOrganizationTemplatesProcedure is the fully-qualified name of the
	// PluginService's ListOrganizationTemplates RPC.
	PluginServiceListOrganizationTemplatesProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListOrganizationTemplates"
	// PluginServiceGetTemplateVersionProcedure is the fully-qualified name of the PluginService's
	// GetTemplateVersion RPC.
	PluginServiceGetTemplateVersionProcedure = "/buf.alpha.registry.v1alpha1.PluginService/GetTemplateVersion"
	// PluginServiceListTemplateVersionsProcedure is the fully-qualified name of the PluginService's
	// ListTemplateVersions RPC.
	PluginServiceListTemplateVersionsProcedure = "/buf.alpha.registry.v1alpha1.PluginService/ListTemplateVersions"
	// PluginServiceDeleteTemplateProcedure is the fully-qualified name of the PluginService's
	// DeleteTemplate RPC.
	PluginServiceDeleteTemplateProcedure = "/buf.alpha.registry.v1alpha1.PluginService/DeleteTemplate"
)

// PluginServiceClient is a client for the buf.alpha.registry.v1alpha1.PluginService service.
type PluginServiceClient interface {
	// ListPlugins returns all the plugins available to the user. This includes
	// public plugins, those uploaded to organizations the user is part of,
	// and any plugins uploaded directly by the user.
	ListPlugins(context.Context, *connect_go.Request[v1alpha1.ListPluginsRequest]) (*connect_go.Response[v1alpha1.ListPluginsResponse], error)
	// ListUserPlugins lists all plugins belonging to a user.
	ListUserPlugins(context.Context, *connect_go.Request[v1alpha1.ListUserPluginsRequest]) (*connect_go.Response[v1alpha1.ListUserPluginsResponse], error)
	// ListOrganizationPlugins lists all plugins for an organization.
	ListOrganizationPlugins(context.Context, *connect_go.Request[v1alpha1.ListOrganizationPluginsRequest]) (*connect_go.Response[v1alpha1.ListOrganizationPluginsResponse], error)
	// GetPluginVersion returns the plugin version, if found.
	GetPluginVersion(context.Context, *connect_go.Request[v1alpha1.GetPluginVersionRequest]) (*connect_go.Response[v1alpha1.GetPluginVersionResponse], error)
	// ListPluginVersions lists all the versions available for the specified plugin.
	ListPluginVersions(context.Context, *connect_go.Request[v1alpha1.ListPluginVersionsRequest]) (*connect_go.Response[v1alpha1.ListPluginVersionsResponse], error)
	// GetPlugin returns the plugin, if found.
	GetPlugin(context.Context, *connect_go.Request[v1alpha1.GetPluginRequest]) (*connect_go.Response[v1alpha1.GetPluginResponse], error)
	// DeletePlugin deletes the plugin, if it exists. Note that deleting
	// a plugin may cause breaking changes for templates using that plugin,
	// and should be done with extreme care.
	DeletePlugin(context.Context, *connect_go.Request[v1alpha1.DeletePluginRequest]) (*connect_go.Response[v1alpha1.DeletePluginResponse], error)
	// GetTemplate returns the template, if found.
	GetTemplate(context.Context, *connect_go.Request[v1alpha1.GetTemplateRequest]) (*connect_go.Response[v1alpha1.GetTemplateResponse], error)
	// ListTemplates returns all the templates available to the user. This includes
	// public templates, those owned by organizations the user is part of,
	// and any created directly by the user.
	ListTemplates(context.Context, *connect_go.Request[v1alpha1.ListTemplatesRequest]) (*connect_go.Response[v1alpha1.ListTemplatesResponse], error)
	// ListTemplatesUserCanAccess is like ListTemplates, but does not return
	// public templates.
	ListTemplatesUserCanAccess(context.Context, *connect_go.Request[v1alpha1.ListTemplatesUserCanAccessRequest]) (*connect_go.Response[v1alpha1.ListTemplatesUserCanAccessResponse], error)
	// ListUserPlugins lists all templates belonging to a user.
	ListUserTemplates(context.Context, *connect_go.Request[v1alpha1.ListUserTemplatesRequest]) (*connect_go.Response[v1alpha1.ListUserTemplatesResponse], error)
	// ListOrganizationTemplates lists all templates for an organization.
	ListOrganizationTemplates(context.Context, *connect_go.Request[v1alpha1.ListOrganizationTemplatesRequest]) (*connect_go.Response[v1alpha1.ListOrganizationTemplatesResponse], error)
	// GetTemplateVersion returns the template version, if found.
	GetTemplateVersion(context.Context, *connect_go.Request[v1alpha1.GetTemplateVersionRequest]) (*connect_go.Response[v1alpha1.GetTemplateVersionResponse], error)
	// ListTemplateVersions lists all the template versions available for the specified template.
	ListTemplateVersions(context.Context, *connect_go.Request[v1alpha1.ListTemplateVersionsRequest]) (*connect_go.Response[v1alpha1.ListTemplateVersionsResponse], error)
	// DeleteTemplate deletes the template, if it exists.
	DeleteTemplate(context.Context, *connect_go.Request[v1alpha1.DeleteTemplateRequest]) (*connect_go.Response[v1alpha1.DeleteTemplateResponse], error)
}

// NewPluginServiceClient constructs a client for the buf.alpha.registry.v1alpha1.PluginService
// service. By default, it uses the Connect protocol with the binary Protobuf Codec, asks for
// gzipped responses, and sends uncompressed requests. To use the gRPC or gRPC-Web protocols, supply
// the connect.WithGRPC() or connect.WithGRPCWeb() options.
//
// The URL supplied here should be the base URL for the Connect or gRPC server (for example,
// http://api.acme.com or https://acme.com/grpc).
func NewPluginServiceClient(httpClient connect_go.HTTPClient, baseURL string, opts ...connect_go.ClientOption) PluginServiceClient {
	baseURL = strings.TrimRight(baseURL, "/")
	return &pluginServiceClient{
		listPlugins: connect_go.NewClient[v1alpha1.ListPluginsRequest, v1alpha1.ListPluginsResponse](
			httpClient,
			baseURL+PluginServiceListPluginsProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listUserPlugins: connect_go.NewClient[v1alpha1.ListUserPluginsRequest, v1alpha1.ListUserPluginsResponse](
			httpClient,
			baseURL+PluginServiceListUserPluginsProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listOrganizationPlugins: connect_go.NewClient[v1alpha1.ListOrganizationPluginsRequest, v1alpha1.ListOrganizationPluginsResponse](
			httpClient,
			baseURL+PluginServiceListOrganizationPluginsProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		getPluginVersion: connect_go.NewClient[v1alpha1.GetPluginVersionRequest, v1alpha1.GetPluginVersionResponse](
			httpClient,
			baseURL+PluginServiceGetPluginVersionProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listPluginVersions: connect_go.NewClient[v1alpha1.ListPluginVersionsRequest, v1alpha1.ListPluginVersionsResponse](
			httpClient,
			baseURL+PluginServiceListPluginVersionsProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		getPlugin: connect_go.NewClient[v1alpha1.GetPluginRequest, v1alpha1.GetPluginResponse](
			httpClient,
			baseURL+PluginServiceGetPluginProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		deletePlugin: connect_go.NewClient[v1alpha1.DeletePluginRequest, v1alpha1.DeletePluginResponse](
			httpClient,
			baseURL+PluginServiceDeletePluginProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyIdempotent),
			connect_go.WithClientOptions(opts...),
		),
		getTemplate: connect_go.NewClient[v1alpha1.GetTemplateRequest, v1alpha1.GetTemplateResponse](
			httpClient,
			baseURL+PluginServiceGetTemplateProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listTemplates: connect_go.NewClient[v1alpha1.ListTemplatesRequest, v1alpha1.ListTemplatesResponse](
			httpClient,
			baseURL+PluginServiceListTemplatesProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listTemplatesUserCanAccess: connect_go.NewClient[v1alpha1.ListTemplatesUserCanAccessRequest, v1alpha1.ListTemplatesUserCanAccessResponse](
			httpClient,
			baseURL+PluginServiceListTemplatesUserCanAccessProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listUserTemplates: connect_go.NewClient[v1alpha1.ListUserTemplatesRequest, v1alpha1.ListUserTemplatesResponse](
			httpClient,
			baseURL+PluginServiceListUserTemplatesProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listOrganizationTemplates: connect_go.NewClient[v1alpha1.ListOrganizationTemplatesRequest, v1alpha1.ListOrganizationTemplatesResponse](
			httpClient,
			baseURL+PluginServiceListOrganizationTemplatesProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		getTemplateVersion: connect_go.NewClient[v1alpha1.GetTemplateVersionRequest, v1alpha1.GetTemplateVersionResponse](
			httpClient,
			baseURL+PluginServiceGetTemplateVersionProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		listTemplateVersions: connect_go.NewClient[v1alpha1.ListTemplateVersionsRequest, v1alpha1.ListTemplateVersionsResponse](
			httpClient,
			baseURL+PluginServiceListTemplateVersionsProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
			connect_go.WithClientOptions(opts...),
		),
		deleteTemplate: connect_go.NewClient[v1alpha1.DeleteTemplateRequest, v1alpha1.DeleteTemplateResponse](
			httpClient,
			baseURL+PluginServiceDeleteTemplateProcedure,
			connect_go.WithIdempotency(connect_go.IdempotencyIdempotent),
			connect_go.WithClientOptions(opts...),
		),
	}
}

// pluginServiceClient implements PluginServiceClient.
type pluginServiceClient struct {
	listPlugins                *connect_go.Client[v1alpha1.ListPluginsRequest, v1alpha1.ListPluginsResponse]
	listUserPlugins            *connect_go.Client[v1alpha1.ListUserPluginsRequest, v1alpha1.ListUserPluginsResponse]
	listOrganizationPlugins    *connect_go.Client[v1alpha1.ListOrganizationPluginsRequest, v1alpha1.ListOrganizationPluginsResponse]
	getPluginVersion           *connect_go.Client[v1alpha1.GetPluginVersionRequest, v1alpha1.GetPluginVersionResponse]
	listPluginVersions         *connect_go.Client[v1alpha1.ListPluginVersionsRequest, v1alpha1.ListPluginVersionsResponse]
	getPlugin                  *connect_go.Client[v1alpha1.GetPluginRequest, v1alpha1.GetPluginResponse]
	deletePlugin               *connect_go.Client[v1alpha1.DeletePluginRequest, v1alpha1.DeletePluginResponse]
	getTemplate                *connect_go.Client[v1alpha1.GetTemplateRequest, v1alpha1.GetTemplateResponse]
	listTemplates              *connect_go.Client[v1alpha1.ListTemplatesRequest, v1alpha1.ListTemplatesResponse]
	listTemplatesUserCanAccess *connect_go.Client[v1alpha1.ListTemplatesUserCanAccessRequest, v1alpha1.ListTemplatesUserCanAccessResponse]
	listUserTemplates          *connect_go.Client[v1alpha1.ListUserTemplatesRequest, v1alpha1.ListUserTemplatesResponse]
	listOrganizationTemplates  *connect_go.Client[v1alpha1.ListOrganizationTemplatesRequest, v1alpha1.ListOrganizationTemplatesResponse]
	getTemplateVersion         *connect_go.Client[v1alpha1.GetTemplateVersionRequest, v1alpha1.GetTemplateVersionResponse]
	listTemplateVersions       *connect_go.Client[v1alpha1.ListTemplateVersionsRequest, v1alpha1.ListTemplateVersionsResponse]
	deleteTemplate             *connect_go.Client[v1alpha1.DeleteTemplateRequest, v1alpha1.DeleteTemplateResponse]
}

// ListPlugins calls buf.alpha.registry.v1alpha1.PluginService.ListPlugins.
func (c *pluginServiceClient) ListPlugins(ctx context.Context, req *connect_go.Request[v1alpha1.ListPluginsRequest]) (*connect_go.Response[v1alpha1.ListPluginsResponse], error) {
	return c.listPlugins.CallUnary(ctx, req)
}

// ListUserPlugins calls buf.alpha.registry.v1alpha1.PluginService.ListUserPlugins.
func (c *pluginServiceClient) ListUserPlugins(ctx context.Context, req *connect_go.Request[v1alpha1.ListUserPluginsRequest]) (*connect_go.Response[v1alpha1.ListUserPluginsResponse], error) {
	return c.listUserPlugins.CallUnary(ctx, req)
}

// ListOrganizationPlugins calls buf.alpha.registry.v1alpha1.PluginService.ListOrganizationPlugins.
func (c *pluginServiceClient) ListOrganizationPlugins(ctx context.Context, req *connect_go.Request[v1alpha1.ListOrganizationPluginsRequest]) (*connect_go.Response[v1alpha1.ListOrganizationPluginsResponse], error) {
	return c.listOrganizationPlugins.CallUnary(ctx, req)
}

// GetPluginVersion calls buf.alpha.registry.v1alpha1.PluginService.GetPluginVersion.
func (c *pluginServiceClient) GetPluginVersion(ctx context.Context, req *connect_go.Request[v1alpha1.GetPluginVersionRequest]) (*connect_go.Response[v1alpha1.GetPluginVersionResponse], error) {
	return c.getPluginVersion.CallUnary(ctx, req)
}

// ListPluginVersions calls buf.alpha.registry.v1alpha1.PluginService.ListPluginVersions.
func (c *pluginServiceClient) ListPluginVersions(ctx context.Context, req *connect_go.Request[v1alpha1.ListPluginVersionsRequest]) (*connect_go.Response[v1alpha1.ListPluginVersionsResponse], error) {
	return c.listPluginVersions.CallUnary(ctx, req)
}

// GetPlugin calls buf.alpha.registry.v1alpha1.PluginService.GetPlugin.
func (c *pluginServiceClient) GetPlugin(ctx context.Context, req *connect_go.Request[v1alpha1.GetPluginRequest]) (*connect_go.Response[v1alpha1.GetPluginResponse], error) {
	return c.getPlugin.CallUnary(ctx, req)
}

// DeletePlugin calls buf.alpha.registry.v1alpha1.PluginService.DeletePlugin.
func (c *pluginServiceClient) DeletePlugin(ctx context.Context, req *connect_go.Request[v1alpha1.DeletePluginRequest]) (*connect_go.Response[v1alpha1.DeletePluginResponse], error) {
	return c.deletePlugin.CallUnary(ctx, req)
}

// GetTemplate calls buf.alpha.registry.v1alpha1.PluginService.GetTemplate.
func (c *pluginServiceClient) GetTemplate(ctx context.Context, req *connect_go.Request[v1alpha1.GetTemplateRequest]) (*connect_go.Response[v1alpha1.GetTemplateResponse], error) {
	return c.getTemplate.CallUnary(ctx, req)
}

// ListTemplates calls buf.alpha.registry.v1alpha1.PluginService.ListTemplates.
func (c *pluginServiceClient) ListTemplates(ctx context.Context, req *connect_go.Request[v1alpha1.ListTemplatesRequest]) (*connect_go.Response[v1alpha1.ListTemplatesResponse], error) {
	return c.listTemplates.CallUnary(ctx, req)
}

// ListTemplatesUserCanAccess calls
// buf.alpha.registry.v1alpha1.PluginService.ListTemplatesUserCanAccess.
func (c *pluginServiceClient) ListTemplatesUserCanAccess(ctx context.Context, req *connect_go.Request[v1alpha1.ListTemplatesUserCanAccessRequest]) (*connect_go.Response[v1alpha1.ListTemplatesUserCanAccessResponse], error) {
	return c.listTemplatesUserCanAccess.CallUnary(ctx, req)
}

// ListUserTemplates calls buf.alpha.registry.v1alpha1.PluginService.ListUserTemplates.
func (c *pluginServiceClient) ListUserTemplates(ctx context.Context, req *connect_go.Request[v1alpha1.ListUserTemplatesRequest]) (*connect_go.Response[v1alpha1.ListUserTemplatesResponse], error) {
	return c.listUserTemplates.CallUnary(ctx, req)
}

// ListOrganizationTemplates calls
// buf.alpha.registry.v1alpha1.PluginService.ListOrganizationTemplates.
func (c *pluginServiceClient) ListOrganizationTemplates(ctx context.Context, req *connect_go.Request[v1alpha1.ListOrganizationTemplatesRequest]) (*connect_go.Response[v1alpha1.ListOrganizationTemplatesResponse], error) {
	return c.listOrganizationTemplates.CallUnary(ctx, req)
}

// GetTemplateVersion calls buf.alpha.registry.v1alpha1.PluginService.GetTemplateVersion.
func (c *pluginServiceClient) GetTemplateVersion(ctx context.Context, req *connect_go.Request[v1alpha1.GetTemplateVersionRequest]) (*connect_go.Response[v1alpha1.GetTemplateVersionResponse], error) {
	return c.getTemplateVersion.CallUnary(ctx, req)
}

// ListTemplateVersions calls buf.alpha.registry.v1alpha1.PluginService.ListTemplateVersions.
func (c *pluginServiceClient) ListTemplateVersions(ctx context.Context, req *connect_go.Request[v1alpha1.ListTemplateVersionsRequest]) (*connect_go.Response[v1alpha1.ListTemplateVersionsResponse], error) {
	return c.listTemplateVersions.CallUnary(ctx, req)
}

// DeleteTemplate calls buf.alpha.registry.v1alpha1.PluginService.DeleteTemplate.
func (c *pluginServiceClient) DeleteTemplate(ctx context.Context, req *connect_go.Request[v1alpha1.DeleteTemplateRequest]) (*connect_go.Response[v1alpha1.DeleteTemplateResponse], error) {
	return c.deleteTemplate.CallUnary(ctx, req)
}

// PluginServiceHandler is an implementation of the buf.alpha.registry.v1alpha1.PluginService
// service.
type PluginServiceHandler interface {
	// ListPlugins returns all the plugins available to the user. This includes
	// public plugins, those uploaded to organizations the user is part of,
	// and any plugins uploaded directly by the user.
	ListPlugins(context.Context, *connect_go.Request[v1alpha1.ListPluginsRequest]) (*connect_go.Response[v1alpha1.ListPluginsResponse], error)
	// ListUserPlugins lists all plugins belonging to a user.
	ListUserPlugins(context.Context, *connect_go.Request[v1alpha1.ListUserPluginsRequest]) (*connect_go.Response[v1alpha1.ListUserPluginsResponse], error)
	// ListOrganizationPlugins lists all plugins for an organization.
	ListOrganizationPlugins(context.Context, *connect_go.Request[v1alpha1.ListOrganizationPluginsRequest]) (*connect_go.Response[v1alpha1.ListOrganizationPluginsResponse], error)
	// GetPluginVersion returns the plugin version, if found.
	GetPluginVersion(context.Context, *connect_go.Request[v1alpha1.GetPluginVersionRequest]) (*connect_go.Response[v1alpha1.GetPluginVersionResponse], error)
	// ListPluginVersions lists all the versions available for the specified plugin.
	ListPluginVersions(context.Context, *connect_go.Request[v1alpha1.ListPluginVersionsRequest]) (*connect_go.Response[v1alpha1.ListPluginVersionsResponse], error)
	// GetPlugin returns the plugin, if found.
	GetPlugin(context.Context, *connect_go.Request[v1alpha1.GetPluginRequest]) (*connect_go.Response[v1alpha1.GetPluginResponse], error)
	// DeletePlugin deletes the plugin, if it exists. Note that deleting
	// a plugin may cause breaking changes for templates using that plugin,
	// and should be done with extreme care.
	DeletePlugin(context.Context, *connect_go.Request[v1alpha1.DeletePluginRequest]) (*connect_go.Response[v1alpha1.DeletePluginResponse], error)
	// GetTemplate returns the template, if found.
	GetTemplate(context.Context, *connect_go.Request[v1alpha1.GetTemplateRequest]) (*connect_go.Response[v1alpha1.GetTemplateResponse], error)
	// ListTemplates returns all the templates available to the user. This includes
	// public templates, those owned by organizations the user is part of,
	// and any created directly by the user.
	ListTemplates(context.Context, *connect_go.Request[v1alpha1.ListTemplatesRequest]) (*connect_go.Response[v1alpha1.ListTemplatesResponse], error)
	// ListTemplatesUserCanAccess is like ListTemplates, but does not return
	// public templates.
	ListTemplatesUserCanAccess(context.Context, *connect_go.Request[v1alpha1.ListTemplatesUserCanAccessRequest]) (*connect_go.Response[v1alpha1.ListTemplatesUserCanAccessResponse], error)
	// ListUserPlugins lists all templates belonging to a user.
	ListUserTemplates(context.Context, *connect_go.Request[v1alpha1.ListUserTemplatesRequest]) (*connect_go.Response[v1alpha1.ListUserTemplatesResponse], error)
	// ListOrganizationTemplates lists all templates for an organization.
	ListOrganizationTemplates(context.Context, *connect_go.Request[v1alpha1.ListOrganizationTemplatesRequest]) (*connect_go.Response[v1alpha1.ListOrganizationTemplatesResponse], error)
	// GetTemplateVersion returns the template version, if found.
	GetTemplateVersion(context.Context, *connect_go.Request[v1alpha1.GetTemplateVersionRequest]) (*connect_go.Response[v1alpha1.GetTemplateVersionResponse], error)
	// ListTemplateVersions lists all the template versions available for the specified template.
	ListTemplateVersions(context.Context, *connect_go.Request[v1alpha1.ListTemplateVersionsRequest]) (*connect_go.Response[v1alpha1.ListTemplateVersionsResponse], error)
	// DeleteTemplate deletes the template, if it exists.
	DeleteTemplate(context.Context, *connect_go.Request[v1alpha1.DeleteTemplateRequest]) (*connect_go.Response[v1alpha1.DeleteTemplateResponse], error)
}

// NewPluginServiceHandler builds an HTTP handler from the service implementation. It returns the
// path on which to mount the handler and the handler itself.
//
// By default, handlers support the Connect, gRPC, and gRPC-Web protocols with the binary Protobuf
// and JSON codecs. They also support gzip compression.
func NewPluginServiceHandler(svc PluginServiceHandler, opts ...connect_go.HandlerOption) (string, http.Handler) {
	mux := http.NewServeMux()
	mux.Handle(PluginServiceListPluginsProcedure, connect_go.NewUnaryHandler(
		PluginServiceListPluginsProcedure,
		svc.ListPlugins,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListUserPluginsProcedure, connect_go.NewUnaryHandler(
		PluginServiceListUserPluginsProcedure,
		svc.ListUserPlugins,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListOrganizationPluginsProcedure, connect_go.NewUnaryHandler(
		PluginServiceListOrganizationPluginsProcedure,
		svc.ListOrganizationPlugins,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceGetPluginVersionProcedure, connect_go.NewUnaryHandler(
		PluginServiceGetPluginVersionProcedure,
		svc.GetPluginVersion,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListPluginVersionsProcedure, connect_go.NewUnaryHandler(
		PluginServiceListPluginVersionsProcedure,
		svc.ListPluginVersions,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceGetPluginProcedure, connect_go.NewUnaryHandler(
		PluginServiceGetPluginProcedure,
		svc.GetPlugin,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceDeletePluginProcedure, connect_go.NewUnaryHandler(
		PluginServiceDeletePluginProcedure,
		svc.DeletePlugin,
		connect_go.WithIdempotency(connect_go.IdempotencyIdempotent),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceGetTemplateProcedure, connect_go.NewUnaryHandler(
		PluginServiceGetTemplateProcedure,
		svc.GetTemplate,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListTemplatesProcedure, connect_go.NewUnaryHandler(
		PluginServiceListTemplatesProcedure,
		svc.ListTemplates,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListTemplatesUserCanAccessProcedure, connect_go.NewUnaryHandler(
		PluginServiceListTemplatesUserCanAccessProcedure,
		svc.ListTemplatesUserCanAccess,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListUserTemplatesProcedure, connect_go.NewUnaryHandler(
		PluginServiceListUserTemplatesProcedure,
		svc.ListUserTemplates,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListOrganizationTemplatesProcedure, connect_go.NewUnaryHandler(
		PluginServiceListOrganizationTemplatesProcedure,
		svc.ListOrganizationTemplates,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceGetTemplateVersionProcedure, connect_go.NewUnaryHandler(
		PluginServiceGetTemplateVersionProcedure,
		svc.GetTemplateVersion,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceListTemplateVersionsProcedure, connect_go.NewUnaryHandler(
		PluginServiceListTemplateVersionsProcedure,
		svc.ListTemplateVersions,
		connect_go.WithIdempotency(connect_go.IdempotencyNoSideEffects),
		connect_go.WithHandlerOptions(opts...),
	))
	mux.Handle(PluginServiceDeleteTemplateProcedure, connect_go.NewUnaryHandler(
		PluginServiceDeleteTemplateProcedure,
		svc.DeleteTemplate,
		connect_go.WithIdempotency(connect_go.IdempotencyIdempotent),
		connect_go.WithHandlerOptions(opts...),
	))
	return "/buf.alpha.registry.v1alpha1.PluginService/", mux
}

// UnimplementedPluginServiceHandler returns CodeUnimplemented from all methods.
type UnimplementedPluginServiceHandler struct{}

func (UnimplementedPluginServiceHandler) ListPlugins(context.Context, *connect_go.Request[v1alpha1.ListPluginsRequest]) (*connect_go.Response[v1alpha1.ListPluginsResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListPlugins is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListUserPlugins(context.Context, *connect_go.Request[v1alpha1.ListUserPluginsRequest]) (*connect_go.Response[v1alpha1.ListUserPluginsResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListUserPlugins is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListOrganizationPlugins(context.Context, *connect_go.Request[v1alpha1.ListOrganizationPluginsRequest]) (*connect_go.Response[v1alpha1.ListOrganizationPluginsResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListOrganizationPlugins is not implemented"))
}

func (UnimplementedPluginServiceHandler) GetPluginVersion(context.Context, *connect_go.Request[v1alpha1.GetPluginVersionRequest]) (*connect_go.Response[v1alpha1.GetPluginVersionResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.GetPluginVersion is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListPluginVersions(context.Context, *connect_go.Request[v1alpha1.ListPluginVersionsRequest]) (*connect_go.Response[v1alpha1.ListPluginVersionsResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListPluginVersions is not implemented"))
}

func (UnimplementedPluginServiceHandler) GetPlugin(context.Context, *connect_go.Request[v1alpha1.GetPluginRequest]) (*connect_go.Response[v1alpha1.GetPluginResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.GetPlugin is not implemented"))
}

func (UnimplementedPluginServiceHandler) DeletePlugin(context.Context, *connect_go.Request[v1alpha1.DeletePluginRequest]) (*connect_go.Response[v1alpha1.DeletePluginResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.DeletePlugin is not implemented"))
}

func (UnimplementedPluginServiceHandler) GetTemplate(context.Context, *connect_go.Request[v1alpha1.GetTemplateRequest]) (*connect_go.Response[v1alpha1.GetTemplateResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.GetTemplate is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListTemplates(context.Context, *connect_go.Request[v1alpha1.ListTemplatesRequest]) (*connect_go.Response[v1alpha1.ListTemplatesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListTemplates is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListTemplatesUserCanAccess(context.Context, *connect_go.Request[v1alpha1.ListTemplatesUserCanAccessRequest]) (*connect_go.Response[v1alpha1.ListTemplatesUserCanAccessResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListTemplatesUserCanAccess is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListUserTemplates(context.Context, *connect_go.Request[v1alpha1.ListUserTemplatesRequest]) (*connect_go.Response[v1alpha1.ListUserTemplatesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListUserTemplates is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListOrganizationTemplates(context.Context, *connect_go.Request[v1alpha1.ListOrganizationTemplatesRequest]) (*connect_go.Response[v1alpha1.ListOrganizationTemplatesResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListOrganizationTemplates is not implemented"))
}

func (UnimplementedPluginServiceHandler) GetTemplateVersion(context.Context, *connect_go.Request[v1alpha1.GetTemplateVersionRequest]) (*connect_go.Response[v1alpha1.GetTemplateVersionResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.GetTemplateVersion is not implemented"))
}

func (UnimplementedPluginServiceHandler) ListTemplateVersions(context.Context, *connect_go.Request[v1alpha1.ListTemplateVersionsRequest]) (*connect_go.Response[v1alpha1.ListTemplateVersionsResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.ListTemplateVersions is not implemented"))
}

func (UnimplementedPluginServiceHandler) DeleteTemplate(context.Context, *connect_go.Request[v1alpha1.DeleteTemplateRequest]) (*connect_go.Response[v1alpha1.DeleteTemplateResponse], error) {
	return nil, connect_go.NewError(connect_go.CodeUnimplemented, errors.New("buf.alpha.registry.v1alpha1.PluginService.DeleteTemplate is not implemented"))
}
